summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-video/palantir/files/palantir.init')
-rw-r--r--media-video/palantir/files/palantir.init31
1 files changed, 31 insertions, 0 deletions
diff --git a/media-video/palantir/files/palantir.init b/media-video/palantir/files/palantir.init
new file mode 100644
index 000000000..7801f164a
--- /dev/null
+++ b/media-video/palantir/files/palantir.init
@@ -0,0 +1,31 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: $
+
+depend() {
+ need net
+ after coldplug
+}
+
+start() {
+ if [[ ! -f /etc/palantir/palantir.conf ]]; then
+ eerror "You have to create the configurationfile"
+ eerror "'/etc/palantir/palantir.conf' before"
+ eerror "starting the server!"
+ return 1
+ fi
+
+ ebegin "Starting Palantir Streaming Server"
+
+ start-stop-daemon --start -b -q --exec /usr/bin/palantir --chuid palantir:video
+ start-stop-daemon --start -b -q --exec /usr/bin/palantir_sysfeed --chuid palantir:video
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Palantir Streaming Server"
+ start-stop-daemon --stop -q --exec /usr/bin/palantir
+ start-stop-daemon --stop -q --exec /usr/bin/palantir_sysfeed
+ eend $?
+}